Bug 1660876 - Docker needs to support PIDs Limit for all containers created.
Summary: Docker needs to support PIDs Limit for all containers created.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lokesh Mandvekar
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1186913 1647729
TreeView+ depends on / blocked
 
Reported: 2018-12-19 13:30 UTC by Daniel Walsh
Modified: 2019-03-13 01:52 UTC (History)
11 users (show)

Fixed In Version: docker-1.13.1-92.gitb2f74b2.el7
Doc Type: Enhancement
Doc Text:
Added to help prevent fork bomb attacks in containers.
Clone Of:
Environment:
Last Closed: 2019-03-13 01:52:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Article) 3979541 None None None 2019-03-12 08:21:29 UTC
Red Hat Product Errata RHSA-2019:0487 None None None 2019-03-13 01:52:49 UTC

Description Daniel Walsh 2018-12-19 13:30:04 UTC
In order to prevent accidental fork bombs we need to add a new docker daemon option to set the default maximum number of processes within a container.  This max number should then be set in the cgroups created for each container.

Comment 5 Antonio Murdaca 2018-12-19 16:44:17 UTC
PR for docker here https://github.com/projectatomic/docker/pull/333

Comment 11 Antonio Murdaca 2019-01-11 10:57:56 UTC
The fix for 1.12 isn't merged as I believe there's no path forward to ship a docker 1.12 at all. The PR for 1.12 is still here: https://github.com/projectatomic/docker/pull/334

Assuming this blocker BZ is just for 1.13, this is in POST so we just need to rebuild docker wherever necessary. CC'ing Lokesh. Let me know if we need to merge and ship the 1.12 fix (even if I would strongly discourage shipping such a feature to such an old package).

Comment 18 errata-xmlrpc 2019-03-13 01:52:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0487


Note You need to log in before you can comment on or make changes to this bug.